<%@ page language="vb" %>
<%@ register tagprefix="ex" namespace="Exact.Web.UI.Controls" assembly="Exact.Web.UI.Controls" %>
<%@ import namespace="Exact.Data" %>
<%@ import namespace="Exact.Common" %>
<%@ import Namespace="Exact.Core" %>
<script runat="server">
	
	Private Sub Page_Init()
        If Not env.IsAdmin Then AccessDenied()
	End Sub

    Sub Page_Load()
        Dim app As String
        
        'Action 1 update the bacosettings table to trigger batch update
        If Page.Request("Action") = 1 Then
            conn.ExecUnsecure("DELETE FROM BacoSettings WHERE LongValue <= 1 AND SettingName LIKE 'Batch_%'")
            conn.ExecUnsecure("UPDATE BacoSettings SET LongValue = LongValue -1 WHERE SettingName LIKE 'Batch_%'")
        End If
        
        app = Tools.JavaScriptEncode(Me.LastReferrer)
        Session.Clear()

        'Remove information from cache
        Dim keys As New StringCollection
        For Each entry As DictionaryEntry In Cache
            keys.Add(entry.Key)
        Next
        For Each key As String In keys
            Cache.Remove(key)
        Next

        'Clear application
        Application.Clear()
        
        If Page.Request("Action") <> 1 Then
            RedirectClient(app)
        Else
            RedirectClient("Home.aspx")
        End If
            
    End Sub

	
</script>
<html>
<head>
	<link runat="server" id="ExactCSS" href="Exact.css" type="text/css" rel="stylesheet" />
</head>
<body>
	<form runat="server" id="frmSessionContent">	    		
	</form>
</body>
</html>
